LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRowSetApproveListener Interface Referencepublished

is used for approving the moving and changing of row set actions. More...

`import"XRowSetApproveListener.idl";`

Inheritance diagram for XRowSetApproveListener:

## Public Member Functions
boolean | approveCursorMove ([in]com::sun::star::lang::EventObject event)
| is called before a row set's cursor is moved. More...
boolean | approveRowChange ([in]RowChangeEvent event)
| is called before a row is inserted, updated, or deleted. More...
boolean | approveRowSetChange ([in]com::sun::star::lang::EventObject event)
| is called before a row set is changed, or in other words before a row set is reexecuted. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used for approving the moving and changing of row set actions.

Developers Guide
  Database Access - Events and Other Notifications

## Member Function Documentation

## ◆ approveCursorMove()

boolean approveCursorMove | ( | [in] com::sun::star::lang::EventObject | event | ) |

is called before a row set's cursor is moved.

Parameters

  event | the event which happened

Returns
  `TRUE` when moving is allowed, otherwise `FALSE`

## ◆ approveRowChange()

boolean approveRowChange | ( | [in] RowChangeEvent | event | ) |

is called before a row is inserted, updated, or deleted.

Parameters

  event | the event which happened

Returns
  `TRUE` when changing is allowed, otherwise `FALSE`

## ◆ approveRowSetChange()

boolean approveRowSetChange | ( | [in] com::sun::star::lang::EventObject | event | ) |

is called before a row set is changed, or in other words before a row set is reexecuted.

Parameters

  event | the event which happened

Returns
  `TRUE` when changing is allowed, otherwise `FALSE`

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XRowSetApproveListener.idl